'use strict';

/**
 * @ngdoc overview
 * @name biclsuApp
 * @description
 * # biclsuApp
 *
 * Main module of the application.
 */
angular
    .module('biclsuApp', [
        'ngAnimate',
        'ngCookies',
        'ngMessages',
        'ngResource',
        'ngRoute',
        'ngSanitize',
        'ngTouch'
    ])
    .config(function($routeProvider) {
        $routeProvider
            .when('/', {
                templateUrl: 'views/main.html',
                controller: 'MainCtrl'
            })
            .when('/about', {
                templateUrl: 'views/about.html',
                controller: 'AboutCtrl'
            })
            .otherwise({
                redirectTo: '/'
            });
    })
    .directive('markdown', function() {
        var converter = new Showdown.converter();
        return {
            restrict: 'A',
            link: function(scope, element, attrs) {
                var htmlText = converter.makeHtml(element.text());
                element.html(htmlText);
            }
        };
    });
